Problem With BoundingBox

import rhinoscriptsyntax as rs
import Rhino
import scriptcontext as sc

geo = rs.coercegeometry("ac0c6b09-0efb-4388-b2cb-070a07888962")
rs.HideObject("ac0c6b09-0efb-4388-b2cb-070a07888962")
#############################################
rot = rs.XformRotation2(180, [0,1,0], [0,0,0])
geo.Transform(rot)
#############################################
bb = geo.GetBoundingBox(rs.WorldXYPlane)
geo.Translate(rs.coerce3dvector(-bb.Min))
#############################################
sc.doc.Objects.AddBrep(geo)
#############################################
rs.Redraw()

The BoundingBox is being created in the first position of the object.
I don’t understand.

Hi,

Can you elaborate on what it is you are seeing and expecting.

What do you mean by

“The BoundingBox is being created in the first position of the object.”

When the object is rotated, Rhino looks at the object from the opposite plane. Hence the confusion with the boundingbox. Problem solved.

1 Like